wl_surface_listener Struct Reference
The wl_surface interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | enter )(void *data, struct wl_surface *wl_surface, struct wl_output *output)
void(* | leave )(void *data, struct wl_surface *wl_surface, struct wl_output *output)

## Detailed Description

Definition at line 3266 of file wayland-client-protocol.h.

## Field Documentation

## enter

void(* wl_surface_listener::enter) (void *data, struct wl_surface *wl_surface, struct wl_output *output)

surface enters an output

This is emitted whenever a surface's creation, movement, or resizing results in some part of it being within the scanout region of an output.

Note that a surface may be overlapping with zero or more outputs.

Parameters

  output | output entered by the surface

Definition at line 3278 of file wayland-client-protocol.h.

## leave

void(* wl_surface_listener::leave) (void *data, struct wl_surface *wl_surface, struct wl_output *output)

surface leaves an output

This is emitted whenever a surface's creation, movement, or resizing results in it no longer having any part of it within the scanout region of an output.

Parameters

  output | output left by the surface

Definition at line 3289 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h